## equalizer-10bands

equalizer-10bands

## Properties

gdouble | band0 | Read / Write
gdouble | band1 | Read / Write
gdouble | band2 | Read / Write
gdouble | band3 | Read / Write
gdouble | band4 | Read / Write
gdouble | band5 | Read / Write
gdouble | band6 | Read / Write
gdouble | band7 | Read / Write
gdouble | band8 | Read / Write
gdouble | band9 | Read / Write

## Types and Values

struct | GstIirEqualizer10Bands

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstIirEqualizer
                                ╰── GstIirEqualizer10Bands

## Implemented Interfaces

GstIirEqualizer10Bands implements GstChildProxy and GstPreset.

## Description

The 10 band equalizer element allows to change the gain of 10 equally distributed frequency bands between 30 Hz and 15 kHz.

### Example launch line

    1

    gst-launch-1.0 filesrc location=song.ogg ! oggdemux ! vorbisdec ! audioconvert ! equalizer-10bands band2=3.0 ! alsasink

This raises the volume of the 3rd band which is at 119 Hz by 3 db.

## Synopsis

### Element Information

plugin | equalizer
author | Stefan Kost <ensonic@users.sf.net>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE, F64LE }, rate=(int)[ 1000, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE, F64LE }, rate=(int)[ 1000, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

## Functions

## Types and Values

### struct GstIirEqualizer10Bands

    struct GstIirEqualizer10Bands;

## Property Details

### The `“band0”` property

      “band0”                    gdouble

gain for the frequency band 29 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band1”` property

      “band1”                    gdouble

gain for the frequency band 59 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band2”` property

      “band2”                    gdouble

gain for the frequency band 119 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band3”` property

      “band3”                    gdouble

gain for the frequency band 237 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band4”` property

      “band4”                    gdouble

gain for the frequency band 474 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band5”` property

      “band5”                    gdouble

gain for the frequency band 947 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band6”` property

      “band6”                    gdouble

gain for the frequency band 1889 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band7”` property

      “band7”                    gdouble

gain for the frequency band 3770 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band8”` property

      “band8”                    gdouble

gain for the frequency band 7523 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band9”` property

      “band9”                    gdouble

gain for the frequency band 15011 Hz, ranging from -24 dB to +12 dB.

Owner: GstIirEqualizer10Bands

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0